import java.awt.image.*;
import java.awt.Graphics2D;
import java.awt.Color;
import java.io.*;
import javax.imageio.*;

// Template for assignment 4
public class Assig4_1 {
    public static final int IMAGESIZE = 1024;

    public static void main(String[] args) {
        try {
            // first arg is the t value
            double t = Double.parseDouble(args[0]);

            // parse 1 or 2 control points if specified
            DPoint cp1 = DPoint.parsePoint(args[1]);
            DPoint cp2 = null;
            if (args.length>2)
                cp2 = DPoint.parsePoint(args[2]);

            // and create our two endpoints.  This is just for convenience.
            DPoint cp0 = new DPoint(0.0,0.5);
            DPoint cpN = new DPoint(1.0,0.5);

            // create an image for output.  We don't need colour, so greyscale or even binary is ok.
            BufferedImage img = new BufferedImage(IMAGESIZE,IMAGESIZE,BufferedImage.TYPE_BYTE_GRAY);

            // graphical output for drawing
            Graphics2D g = img.createGraphics();

            // your code would go here!

            // write out the image
            File outputfile = new File("outputimage.png");
            ImageIO.write(img, "png", outputfile);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}


// utility class for double-based control points
class DPoint {
    double x,y;
    public DPoint(double dx,double dy) { x = dx; y = dy; }

    // static method to parse a pair of coords
    public static DPoint parsePoint(String s) throws NumberFormatException {
        int i = s.indexOf(',');
        return new DPoint(Double.parseDouble(s.substring(0,i)),Double.parseDouble(s.substring(i+1)));
    }
}
